=== debian/changelog ===
gammu (1.27.92-3) unstable; urgency=low

  * Upstream fix for smsbackup testing failure on armel.

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Feb 2010 16:38:28 +0100

gammu (1.27.92-2) unstable; urgency=low

  * Fix timing of py-smsd-testing test.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Feb 2010 15:13:11 +0100

gammu (1.27.92-1) unstable; urgency=low

  * New upstream testing version.
  * Upload to unstable to fix FTBFS.

 -- Michal Čihař <nijel@debian.org>  Wed, 17 Feb 2010 11:32:31 +0100

gammu (1.27.91-1) experimental; urgency=low

  * New upstream testing version.
  * Tests should work on all arches (Closes: #567231).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 04 Feb 2010 19:26:01 +0100

gammu (1.27.90-1) experimental; urgency=low

  * New upstream test version.
  * No need to ignore files-detail tests.

 -- Michal Čihař <nijel@debian.org>  Wed, 06 Jan 2010 16:50:00 +0100

gammu (1.27.0-1) unstable; urgency=low

  * New upstream stable version, upload to unstable.
  * Disable test smsd-files-detail as it is broken.

 -- Michal Čihař <nijel@debian.org>  Tue, 22 Dec 2009 10:47:14 +0100

gammu (1.26.93-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Sat, 12 Dec 2009 19:56:18 +0100

gammu (1.26.92-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Dec 2009 16:34:51 +0100

gammu (1.26.91-1) experimental; urgency=low

  * New upstream testing release.
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Thu, 19 Nov 2009 15:23:25 +0100

gammu (1.26.1-2) unstable; urgency=low

  * Do not build depend on libusb on !linux, it is not available there.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 10:28:52 +0100

gammu (1.26.90-1) experimental; urgency=low

  * New upstream testing release.

 -- Michal Čihař <nijel@debian.org>  Mon, 12 Oct 2009 15:58:48 +0200

gammu (1.26.1-1) unstable; urgency=low

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Tue, 08 Sep 2009 10:15:28 +0200

gammu (1.26.0-1) unstable; urgency=low

  * New upstream stable version, upload to unstable.
  * Include preinst snipped to remove crap left over by pycentral 
    (Closes: #544415).

 -- Michal Čihař <nijel@debian.org>  Fri, 04 Sep 2009 10:58:14 +0200

gammu (1.25.93-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Thu, 27 Aug 2009 13:08:25 +0200

gammu (1.25.92-1) experimental; urgency=low

  * New upstream version.
  * Bump soname to 7 (libgammu7 and libgsmd7).
  * Bump standards to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Fri, 21 Aug 2009 13:01:15 +0200

gammu (1.25.91-1) experimental; urgency=low

  * New upstream version.
  * Include monitor tool in smsd package.

 -- Michal Čihař <nijel@debian.org>  Thu, 13 Aug 2009 15:16:23 +0200

gammu (1.25.90-1) experimental; urgency=low

  * New upstream testing release.
    - Fixes huge memory consumption (Closes: #538405).

 -- Michal Čihař <nijel@debian.org>  Thu, 30 Jul 2009 18:06:13 +0200

gammu (1.25.0-2) unstable; urgency=low

  * Build against new MySQL (Closes: #538457).
  * Switch package development to git, adjust Vcs-* headers.

 -- Michal Čihař <nijel@debian.org>  Thu, 30 Jul 2009 16:58:02 +0200

gammu (1.25.0-1) unstable; urgency=low

  * New stable upstream version.
  * Uploaded to unstable.

 -- Michal Čihař <nijel@debian.org>  Thu, 09 Jul 2009 09:48:00 +0200

gammu (1.24.92-1) experimental; urgency=low

  * New upstream testing version.
  * Bump standards to 3.8.2.

 -- Michal Čihař <nijel@debian.org>  Wed, 24 Jun 2009 14:49:59 +0200

gammu (1.24.91-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Wed, 27 May 2009 09:30:50 +0200

gammu (1.24.90-1) experimental; urgency=low

  * New upstream testing version.
  * Build against libmysqlclient-dev in experimental.

 -- Michal Čihař <nijel@debian.org>  Tue, 12 May 2009 16:14:26 +0200

gammu (1.24.0-1) unstable; urgency=low

  * New upstream version.
  * Ignore sqlite based tests as sqlite is currently broken in unstable
    (Bug#524166).
  * Adjust python-gammu file lists to work with new python paths LP: #358602.

 -- Michal Čihař <nijel@debian.org>  Wed, 15 Apr 2009 16:08:01 +0200

gammu (1.23.92-1) experimental; urgency=low

  * New upstream release.
  * Improved some messages (Closes: #521022).
  * Update debian/control to use new sections.
  * Do not ship gnapplet (Closes: #521448).
  * Update README.Debian to point users to upstread download for gnapplet.
  * Switched to python-support.
  * Use new overrides features of dh.

 -- Michal Čihař <nijel@debian.org>  Mon, 30 Mar 2009 17:11:51 +0200

gammu (1.23.91-1) experimental; urgency=low

  * New upstream release.
  * Move man pages from lib* packages to match policy 8.2.
  * Bump policy to 3.8.1 (no changes needed).

 -- Michal Čihař <nijel@debian.org>  Wed, 18 Mar 2009 10:05:55 +0100

gammu (1.23.90-1) experimental; urgency=low

  * New upstream testing version.

 -- Michal Čihař <nijel@debian.org>  Wed, 11 Mar 2009 14:29:18 +0100

gammu (1.23.1-2) unstable; urgency=low

  * chrpatch should not be needed in this release anymore (and the paths were
    wrong for upcoming changes in Python).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Mar 2009 17:04:26 +0100

gammu (1.23.1-1) unstable; urgency=low

  * New upstream release.
  * Do not start if smsd is not configured (Closes: #517247).

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Mar 2009 15:47:04 +0100

gammu (1.23.0-1) unstable; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Mon, 23 Feb 2009 17:15:33 +0100

gammu (1.22.95-1) experimental; urgency=low

  * New upstream testing version.
  * Fix file lists to match current reogranising in upstream.

 -- Michal Čihař <nijel@debian.org>  Tue, 17 Feb 2009 11:05:18 +0100

gammu (1.22.94-1) experimental; urgency=low


